Debian Bug report logs - #557495
libtowitoko-dev and libctapimkt0-dev: error when trying to install together

version graph

Package: towitoko; Maintainer for towitoko is Simon Richter <sjr@debian.org>;

Reported by: Ralf Treinen <treinen@free.fr>

Date: Sun, 22 Nov 2009 13:27:15 UTC

Severity: serious

Found in version 2.0.7-8.1

Fixed in version towitoko/2.0.7-8.2

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Sun, 22 Nov 2009 13:27:18 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <treinen@free.fr>:
New Bug report received and forwarded. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>.

Your message had a Version: pseudo-header with an invalid package version:

libtowitoko-dev/2.0.7-8+b1

please either use found or fixed to the control server with a correct version, or reply to this report indicating the correct version so the maintainer (or someone else) can correct it for you.

(Sun, 22 Nov 2009 13:27:19 GMT) Full text and rfc822 format available.


Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Ralf Treinen <treinen@free.fr>
To: submit@bugs.debian.org
Subject: libtowitoko-dev and libctapimkt0-dev: error when trying to install together
Date: Sun, 22 Nov 2009 14:25:15 +0100
Package: libctapimkt0-dev,libtowitoko-dev
Version: libctapimkt0-dev/1.0.1-1
Version: libtowitoko-dev/2.0.7-8+b1
Severity: serious
User: treinen@debian.org
Usertags: edos-file-overwrite

Date: 2009-11-22
Architecture: amd64
Distribution: sid

Hi,

automatic installation tests of packages that share a file and at the
same time do not conflict by their package dependency relationships has
detected the following problem:


WARNING: The following packages cannot be authenticated!
  libc-dev-bin linux-libc-dev libc6-dev libctapimkt0 libctapimkt0-dev
  libtowitoko2 libtowitoko-dev
Preconfiguring packages ...
Authentication warning overridden.
Can not write log, openpty() failed (/dev/pts not mounted?)
Selecting previously deselected package libc-dev-bin.
(Reading database ... 10432 files and directories currently installed.)
Unpacking libc-dev-bin (from .../libc-dev-bin_2.10.1-7_amd64.deb) ...
Selecting previously deselected package linux-libc-dev.
Unpacking linux-libc-dev (from .../linux-libc-dev_2.6.31-2_amd64.deb) ...
Selecting previously deselected package libc6-dev.
Unpacking libc6-dev (from .../libc6-dev_2.10.1-7_amd64.deb) ...
Selecting previously deselected package libctapimkt0.
Unpacking libctapimkt0 (from .../libctapimkt0_1.0.1-1_amd64.deb) ...
Selecting previously deselected package libctapimkt0-dev.
Unpacking libctapimkt0-dev (from .../libctapimkt0-dev_1.0.1-1_amd64.deb) ...
Selecting previously deselected package libtowitoko2.
Unpacking libtowitoko2 (from .../libtowitoko2_2.0.7-8+b1_amd64.deb) ...
Selecting previously deselected package libtowitoko-dev.
Unpacking libtowitoko-dev (from .../libtowitoko-dev_2.0.7-8+b1_amd64.deb) ...
dpkg: error processing /var/cache/apt/archives/libtowitoko-dev_2.0.7-8+b1_amd64.deb (--unpack):
 trying to overwrite '/usr/include/ctapi.h', which is also in package libctapimkt0-dev 0:1.0.1-1
Processing triggers for man-db ...
Errors were encountered while processing:
 /var/cache/apt/archives/libtowitoko-dev_2.0.7-8+b1_amd64.deb
E: Sub-process /usr/bin/dpkg returned an error code (1)


This is a serious bug as it makes installation fail, and violate
section 7.6.1 of the policy. Possible solutions are to have the two
packages conflict, to rename the common file in one of the two
packages, or to remove the file from one package and have this package
depend on the other package. File diversions or a Replace relation are
another possibility.

Here is a list of files that are known to be shared by both packages
(according to the Contents file for sid/amd64, which may be
slightly out of sync):


  usr/include/ctapi.h
  

This bug is assigned to both packages. If you, the maintainers of
the two packages in question, have agreed on which of the packages will
resolve the problem please reassign the bug to that package.

-Ralf.

PS: for more information about the detection of file overwrite errors
of this kind see http://edos.debian.net/file-overwrites/.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Mon, 23 Nov 2009 15:18:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Karsten Hilbert <Karsten.Hilbert@gmx.net>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>. (Mon, 23 Nov 2009 15:18:10 GMT) Full text and rfc822 format available.

Message #10 received at 557495@bugs.debian.org (full text, mbox):

From: Karsten Hilbert <Karsten.Hilbert@gmx.net>
To: Andreas Tille <andreas@an3as.eu>
Cc: Claudia Neumann <dr.claudia.neumann@gmx.de>, Eric Dorland <eric@debian.org>, Simon Richter <sjr@debian.org>, 557495@bugs.debian.org
Subject: Re: [treinen@free.fr: Bug#557495: libtowitoko-dev and libctapimkt0-dev: error when trying to install together]
Date: Mon, 23 Nov 2009 16:14:53 +0100
On Mon, Nov 23, 2009 at 04:01:18PM +0100, Andreas Tille wrote:

> I realised that there are all in all three packages in Debian which
> are acceccing a CT-API and providing a file ctapi.h:
> 
> $ apt-file search ctapi.h
> libctapimkt0-dev: /usr/include/ctapi.h
> libopenct1-dev: /usr/include/openct/ctapi.h
> libtowitoko-dev: /usr/include/ctapi.h

...

> The other solution would be [...] to simply conclict with
> libtowitoko-dev - but I have no idea whether this is reasonable

No way :-)    I want both libtowitoko and libctapimkt at the
same time. Both provide access to particular chipcard
readers by providing the standard CT-API for other code to
rely on.

Karsten
-- 
GPG key ID E4071346 @ wwwkeys.pgp.net
E167 67FD A291 2BEA 73BD  4537 78B9 A9F9 E407 1346




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Mon, 23 Nov 2009 15:48:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>. (Mon, 23 Nov 2009 15:48:07 GMT) Full text and rfc822 format available.

Message #15 received at 557495@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Claudia Neumann <dr.claudia.neumann@gmx.de>, Karsten Hilbert <Karsten.Hilbert@gmx.net>, Eric Dorland <eric@debian.org>, Simon Richter <sjr@debian.org>
Cc: 557495@bugs.debian.org
Subject: Re: [treinen@free.fr: Bug#557495: libtowitoko-dev and libctapimkt0-dev: error when trying to install together]
Date: Mon, 23 Nov 2009 16:01:18 +0100
Hi,

I realised that there are all in all three packages in Debian which
are acceccing a CT-API and providing a file ctapi.h:

$ apt-file search ctapi.h
libctapimkt0-dev: /usr/include/ctapi.h
libopenct1-dev: /usr/include/openct/ctapi.h
libtowitoko-dev: /usr/include/ctapi.h

While libopenct1-dev uses a subdirectory and thus does not create
a conflict to the other two I wonder how to solve this conflict
reasonably.  The upstream author of libctapimkt0 told me that in
principle ctapi.h would have the same content and thus all libraries
might be able to share the same file.  If this is true this would
IMHO the best solution - the only remaining question would be from
which source this file should be taken and into which common
devel package it should go to enable the other package depend from
it.

The other solution would be to move libctapimkt0-dev header files into a
subdirectory or if this makes no sense to simply conclict with
libtowitoko-dev - but I have no idea whether this is reasonable or
needed.

I admit I have no idea about this CT-API at all and really need to relay
on your expertise in this question.  For me ths current solution looks
quite confusing and it should be solved in a reasonable way.

Kind regards

       Andreas.

 
> ----- Forwarded message from Ralf Treinen <treinen@free.fr> -----
> 
> To: submit@bugs.debian.org
> From: Ralf Treinen <treinen@free.fr>
> Date: Sun, 22 Nov 2009 14:25:15 +0100
> X-Spam_score: -3.6
> Subject: Bug#557495: libtowitoko-dev and
> 	libctapimkt0-dev: error when trying to install together
> 
> Package: libctapimkt0-dev,libtowitoko-dev
> Version: libctapimkt0-dev/1.0.1-1
> Version: libtowitoko-dev/2.0.7-8+b1
> Severity: serious
> User: treinen@debian.org
> Usertags: edos-file-overwrite
> 
> Date: 2009-11-22
> Architecture: amd64
> Distribution: sid
> 
> Hi,
> 
> automatic installation tests of packages that share a file and at the
> same time do not conflict by their package dependency relationships has
> detected the following problem:
> 
> 
> WARNING: The following packages cannot be authenticated!
>   libc-dev-bin linux-libc-dev libc6-dev libctapimkt0 libctapimkt0-dev
>   libtowitoko2 libtowitoko-dev
> Preconfiguring packages ...
> Authentication warning overridden.
> Can not write log, openpty() failed (/dev/pts not mounted?)
> Selecting previously deselected package libc-dev-bin.
> (Reading database ... 10432 files and directories currently installed.)
> Unpacking libc-dev-bin (from .../libc-dev-bin_2.10.1-7_amd64.deb) ...
> Selecting previously deselected package linux-libc-dev.
> Unpacking linux-libc-dev (from .../linux-libc-dev_2.6.31-2_amd64.deb) ...
> Selecting previously deselected package libc6-dev.
> Unpacking libc6-dev (from .../libc6-dev_2.10.1-7_amd64.deb) ...
> Selecting previously deselected package libctapimkt0.
> Unpacking libctapimkt0 (from .../libctapimkt0_1.0.1-1_amd64.deb) ...
> Selecting previously deselected package libctapimkt0-dev.
> Unpacking libctapimkt0-dev (from .../libctapimkt0-dev_1.0.1-1_amd64.deb) ...
> Selecting previously deselected package libtowitoko2.
> Unpacking libtowitoko2 (from .../libtowitoko2_2.0.7-8+b1_amd64.deb) ...
> Selecting previously deselected package libtowitoko-dev.
> Unpacking libtowitoko-dev (from .../libtowitoko-dev_2.0.7-8+b1_amd64.deb) ...
> dpkg: error processing /var/cache/apt/archives/libtowitoko-dev_2.0.7-8+b1_amd64.deb (--unpack):
>  trying to overwrite '/usr/include/ctapi.h', which is also in package libctapimkt0-dev 0:1.0.1-1
> Processing triggers for man-db ...
> Errors were encountered while processing:
>  /var/cache/apt/archives/libtowitoko-dev_2.0.7-8+b1_amd64.deb
> E: Sub-process /usr/bin/dpkg returned an error code (1)
> 
> 
> This is a serious bug as it makes installation fail, and violate
> section 7.6.1 of the policy. Possible solutions are to have the two
> packages conflict, to rename the common file in one of the two
> packages, or to remove the file from one package and have this package
> depend on the other package. File diversions or a Replace relation are
> another possibility.
> 
> Here is a list of files that are known to be shared by both packages
> (according to the Contents file for sid/amd64, which may be
> slightly out of sync):
> 
> 
>   usr/include/ctapi.h
>   
> 
> This bug is assigned to both packages. If you, the maintainers of
> the two packages in question, have agreed on which of the packages will
> resolve the problem please reassign the bug to that package.
> 
> -Ralf.
> 
> PS: for more information about the detection of file overwrite errors
> of this kind see http://edos.debian.net/file-overwrites/.
> 
> 
> 
> _______________________________________________
> Debian-med-packaging mailing list
> Debian-med-packaging@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/debian-med-packaging
> 
> 
> ----- End forwarded message -----
> 
> -- 
> http://fam-tille.de

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Sun, 14 Feb 2010 18:42:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>. (Sun, 14 Feb 2010 18:42:06 GMT) Full text and rfc822 format available.

Message #20 received at 557495@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Claudia Neumann <dr.claudia.neumann@gmx.de>, Karsten Hilbert <Karsten.Hilbert@gmx.net>, Eric Dorland <eric@debian.org>, Simon Richter <sjr@debian.org>, 557495@bugs.debian.org
Subject: Re: Bug#557495: [treinen@free.fr: Bug#557495: libtowitoko-dev and libctapimkt0-dev: error when trying to install together]
Date: Sun, 14 Feb 2010 19:41:24 +0100
Hi,

I would like to remember those people involved in the programs /
packaging that I need some hint to find a reasonable solution.  Is there
any chance that one of the authors might find a different name to
prevent a name clash?  The (not so good) alternative would be to
move the header files to a subdirectory of /usr/include.  So please
raise your voice to this problem if you want to see your package in
the next Debian release.

Kind regards

     Andreas.

On Mon, Nov 23, 2009 at 04:01:18PM +0100, Andreas Tille wrote:
> Hi,
> 
> I realised that there are all in all three packages in Debian which
> are acceccing a CT-API and providing a file ctapi.h:
> 
> $ apt-file search ctapi.h
> libctapimkt0-dev: /usr/include/ctapi.h
> libopenct1-dev: /usr/include/openct/ctapi.h
> libtowitoko-dev: /usr/include/ctapi.h
> 
> While libopenct1-dev uses a subdirectory and thus does not create
> a conflict to the other two I wonder how to solve this conflict
> reasonably.  The upstream author of libctapimkt0 told me that in
> principle ctapi.h would have the same content and thus all libraries
> might be able to share the same file.  If this is true this would
> IMHO the best solution - the only remaining question would be from
> which source this file should be taken and into which common
> devel package it should go to enable the other package depend from
> it.
> 
> The other solution would be to move libctapimkt0-dev header files into a
> subdirectory or if this makes no sense to simply conclict with
> libtowitoko-dev - but I have no idea whether this is reasonable or
> needed.
> 
> I admit I have no idea about this CT-API at all and really need to relay
> on your expertise in this question.  For me ths current solution looks
> quite confusing and it should be solved in a reasonable way.
> 
> Kind regards
> 
>        Andreas.
> 
>  
> > ----- Forwarded message from Ralf Treinen <treinen@free.fr> -----
> > 
> > To: submit@bugs.debian.org
> > From: Ralf Treinen <treinen@free.fr>
> > Date: Sun, 22 Nov 2009 14:25:15 +0100
> > X-Spam_score: -3.6
> > Subject: Bug#557495: libtowitoko-dev and
> > 	libctapimkt0-dev: error when trying to install together
> > 
> > Package: libctapimkt0-dev,libtowitoko-dev
> > Version: libctapimkt0-dev/1.0.1-1
> > Version: libtowitoko-dev/2.0.7-8+b1
> > Severity: serious
> > User: treinen@debian.org
> > Usertags: edos-file-overwrite
> > 
> > Date: 2009-11-22
> > Architecture: amd64
> > Distribution: sid
> > 
> > Hi,
> > 
> > automatic installation tests of packages that share a file and at the
> > same time do not conflict by their package dependency relationships has
> > detected the following problem:
> > 
> > 
> > WARNING: The following packages cannot be authenticated!
> >   libc-dev-bin linux-libc-dev libc6-dev libctapimkt0 libctapimkt0-dev
> >   libtowitoko2 libtowitoko-dev
> > Preconfiguring packages ...
> > Authentication warning overridden.
> > Can not write log, openpty() failed (/dev/pts not mounted?)
> > Selecting previously deselected package libc-dev-bin.
> > (Reading database ... 10432 files and directories currently installed.)
> > Unpacking libc-dev-bin (from .../libc-dev-bin_2.10.1-7_amd64.deb) ...
> > Selecting previously deselected package linux-libc-dev.
> > Unpacking linux-libc-dev (from .../linux-libc-dev_2.6.31-2_amd64.deb) ...
> > Selecting previously deselected package libc6-dev.
> > Unpacking libc6-dev (from .../libc6-dev_2.10.1-7_amd64.deb) ...
> > Selecting previously deselected package libctapimkt0.
> > Unpacking libctapimkt0 (from .../libctapimkt0_1.0.1-1_amd64.deb) ...
> > Selecting previously deselected package libctapimkt0-dev.
> > Unpacking libctapimkt0-dev (from .../libctapimkt0-dev_1.0.1-1_amd64.deb) ...
> > Selecting previously deselected package libtowitoko2.
> > Unpacking libtowitoko2 (from .../libtowitoko2_2.0.7-8+b1_amd64.deb) ...
> > Selecting previously deselected package libtowitoko-dev.
> > Unpacking libtowitoko-dev (from .../libtowitoko-dev_2.0.7-8+b1_amd64.deb) ...
> > dpkg: error processing /var/cache/apt/archives/libtowitoko-dev_2.0.7-8+b1_amd64.deb (--unpack):
> >  trying to overwrite '/usr/include/ctapi.h', which is also in package libctapimkt0-dev 0:1.0.1-1
> > Processing triggers for man-db ...
> > Errors were encountered while processing:
> >  /var/cache/apt/archives/libtowitoko-dev_2.0.7-8+b1_amd64.deb
> > E: Sub-process /usr/bin/dpkg returned an error code (1)
> > 
> > 
> > This is a serious bug as it makes installation fail, and violate
> > section 7.6.1 of the policy. Possible solutions are to have the two
> > packages conflict, to rename the common file in one of the two
> > packages, or to remove the file from one package and have this package
> > depend on the other package. File diversions or a Replace relation are
> > another possibility.
> > 
> > Here is a list of files that are known to be shared by both packages
> > (according to the Contents file for sid/amd64, which may be
> > slightly out of sync):
> > 
> > 
> >   usr/include/ctapi.h
> >   
> > 
> > This bug is assigned to both packages. If you, the maintainers of
> > the two packages in question, have agreed on which of the packages will
> > resolve the problem please reassign the bug to that package.
> > 
> > -Ralf.
> > 
> > PS: for more information about the detection of file overwrite errors
> > of this kind see http://edos.debian.net/file-overwrites/.
> > 
> > 
> > 
> > _______________________________________________
> > Debian-med-packaging mailing list
> > Debian-med-packaging@lists.alioth.debian.org
> > http://lists.alioth.debian.org/mailman/listinfo/debian-med-packaging
> > 
> > 
> > ----- End forwarded message -----
> > 
> > -- 
> > http://fam-tille.de
> 
> -- 
> http://fam-tille.de
> 
> 
> 
> _______________________________________________
> Debian-med-packaging mailing list
> Debian-med-packaging@lists.alioth.debian.org
> http://lists.alioth.debian.org/mailman/listinfo/debian-med-packaging
> 

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Sun, 14 Feb 2010 21:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Claudia Neumann <dr.claudia.neumann@gmx.de>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>. (Sun, 14 Feb 2010 21:21:03 GMT) Full text and rfc822 format available.

Message #25 received at 557495@bugs.debian.org (full text, mbox):

From: Claudia Neumann <dr.claudia.neumann@gmx.de>
To: Andreas Tille <andreas@an3as.eu>
Cc: Karsten Hilbert <Karsten.Hilbert@gmx.net>, Eric Dorland <eric@debian.org>, Simon Richter <sjr@debian.org>, 557495@bugs.debian.org
Subject: Re: Bug#557495: [treinen@free.fr: Bug#557495: libtowitoko-dev and libctapimkt0-dev: error when trying to install together]
Date: Sun, 14 Feb 2010 22:18:36 +0100
Hi All,

Is it possible to put the ctapi.h in the directory with the c-programs? 

CU

Claudia


Am Sonntag Februar 14 2010 schrieb Andreas Tille:
> Hi,
>
> I would like to remember those people involved in the programs /
> packaging that I need some hint to find a reasonable solution.  Is there
> any chance that one of the authors might find a different name to
> prevent a name clash?  The (not so good) alternative would be to
> move the header files to a subdirectory of /usr/include.  So please
> raise your voice to this problem if you want to see your package in
> the next Debian release.
>
> Kind regards
>
>      Andreas.
>
> On Mon, Nov 23, 2009 at 04:01:18PM +0100, Andreas Tille wrote:
> > Hi,
> >
> > I realised that there are all in all three packages in Debian which
> > are acceccing a CT-API and providing a file ctapi.h:
> >
> > $ apt-file search ctapi.h
> > libctapimkt0-dev: /usr/include/ctapi.h
> > libopenct1-dev: /usr/include/openct/ctapi.h
> > libtowitoko-dev: /usr/include/ctapi.h
> >
> > While libopenct1-dev uses a subdirectory and thus does not create
> > a conflict to the other two I wonder how to solve this conflict
> > reasonably.  The upstream author of libctapimkt0 told me that in
> > principle ctapi.h would have the same content and thus all libraries
> > might be able to share the same file.  If this is true this would
> > IMHO the best solution - the only remaining question would be from
> > which source this file should be taken and into which common
> > devel package it should go to enable the other package depend from
> > it.
> >
> > The other solution would be to move libctapimkt0-dev header files into a
> > subdirectory or if this makes no sense to simply conclict with
> > libtowitoko-dev - but I have no idea whether this is reasonable or
> > needed.
> >
> > I admit I have no idea about this CT-API at all and really need to relay
> > on your expertise in this question.  For me ths current solution looks
> > quite confusing and it should be solved in a reasonable way.
> >
> > Kind regards
> >
> >        Andreas.
> >
> > > ----- Forwarded message from Ralf Treinen <treinen@free.fr> -----
> > >
> > > To: submit@bugs.debian.org
> > > From: Ralf Treinen <treinen@free.fr>
> > > Date: Sun, 22 Nov 2009 14:25:15 +0100
> > > X-Spam_score: -3.6
> > > Subject: Bug#557495: libtowitoko-dev and
> > > 	libctapimkt0-dev: error when trying to install together
> > >
> > > Package: libctapimkt0-dev,libtowitoko-dev
> > > Version: libctapimkt0-dev/1.0.1-1
> > > Version: libtowitoko-dev/2.0.7-8+b1
> > > Severity: serious
> > > User: treinen@debian.org
> > > Usertags: edos-file-overwrite
> > >
> > > Date: 2009-11-22
> > > Architecture: amd64
> > > Distribution: sid
> > >
> > > Hi,
> > >
> > > automatic installation tests of packages that share a file and at the
> > > same time do not conflict by their package dependency relationships has
> > > detected the following problem:
> > >
> > >
> > > WARNING: The following packages cannot be authenticated!
> > >   libc-dev-bin linux-libc-dev libc6-dev libctapimkt0 libctapimkt0-dev
> > >   libtowitoko2 libtowitoko-dev
> > > Preconfiguring packages ...
> > > Authentication warning overridden.
> > > Can not write log, openpty() failed (/dev/pts not mounted?)
> > > Selecting previously deselected package libc-dev-bin.
> > > (Reading database ... 10432 files and directories currently installed.)
> > > Unpacking libc-dev-bin (from .../libc-dev-bin_2.10.1-7_amd64.deb) ...
> > > Selecting previously deselected package linux-libc-dev.
> > > Unpacking linux-libc-dev (from .../linux-libc-dev_2.6.31-2_amd64.deb)
> > > ... Selecting previously deselected package libc6-dev.
> > > Unpacking libc6-dev (from .../libc6-dev_2.10.1-7_amd64.deb) ...
> > > Selecting previously deselected package libctapimkt0.
> > > Unpacking libctapimkt0 (from .../libctapimkt0_1.0.1-1_amd64.deb) ...
> > > Selecting previously deselected package libctapimkt0-dev.
> > > Unpacking libctapimkt0-dev (from
> > > .../libctapimkt0-dev_1.0.1-1_amd64.deb) ... Selecting previously
> > > deselected package libtowitoko2.
> > > Unpacking libtowitoko2 (from .../libtowitoko2_2.0.7-8+b1_amd64.deb) ...
> > > Selecting previously deselected package libtowitoko-dev.
> > > Unpacking libtowitoko-dev (from
> > > .../libtowitoko-dev_2.0.7-8+b1_amd64.deb) ... dpkg: error processing
> > > /var/cache/apt/archives/libtowitoko-dev_2.0.7-8+b1_amd64.deb
> > > (--unpack): trying to overwrite '/usr/include/ctapi.h', which is also
> > > in package libctapimkt0-dev 0:1.0.1-1 Processing triggers for man-db
> > > ...
> > > Errors were encountered while processing:
> > >  /var/cache/apt/archives/libtowitoko-dev_2.0.7-8+b1_amd64.deb
> > > E: Sub-process /usr/bin/dpkg returned an error code (1)
> > >
> > >
> > > This is a serious bug as it makes installation fail, and violate
> > > section 7.6.1 of the policy. Possible solutions are to have the two
> > > packages conflict, to rename the common file in one of the two
> > > packages, or to remove the file from one package and have this package
> > > depend on the other package. File diversions or a Replace relation are
> > > another possibility.
> > >
> > > Here is a list of files that are known to be shared by both packages
> > > (according to the Contents file for sid/amd64, which may be
> > > slightly out of sync):
> > >
> > >
> > >   usr/include/ctapi.h
> > >
> > >
> > > This bug is assigned to both packages. If you, the maintainers of
> > > the two packages in question, have agreed on which of the packages will
> > > resolve the problem please reassign the bug to that package.
> > >
> > > -Ralf.
> > >
> > > PS: for more information about the detection of file overwrite errors
> > > of this kind see http://edos.debian.net/file-overwrites/.
> > >
> > >
> > >
> > > _______________________________________________
> > > Debian-med-packaging mailing list
> > > Debian-med-packaging@lists.alioth.debian.org
> > > http://lists.alioth.debian.org/mailman/listinfo/debian-med-packaging
> > >
> > >
> > > ----- End forwarded message -----
> > >
> > > --
> > > http://fam-tille.de
> >
> > --
> > http://fam-tille.de
> >
> >
> >
> > _______________________________________________
> > Debian-med-packaging mailing list
> > Debian-med-packaging@lists.alioth.debian.org
> > http://lists.alioth.debian.org/mailman/listinfo/debian-med-packaging



-- 
Viele Grüße

Claudia Neumann





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Sun, 14 Feb 2010 23:54:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <Simon.Richter@hogyros.de>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>. (Sun, 14 Feb 2010 23:54:04 GMT) Full text and rfc822 format available.

Message #30 received at 557495@bugs.debian.org (full text, mbox):

From: Simon Richter <Simon.Richter@hogyros.de>
To: Andreas Tille <andreas@an3as.eu>
Cc: Claudia Neumann <dr.claudia.neumann@gmx.de>, Karsten Hilbert <Karsten.Hilbert@gmx.net>, Eric Dorland <eric@debian.org>, 557495@bugs.debian.org
Subject: Re: Bug#557495: [treinen@free.fr: Bug#557495: libtowitoko-dev and libctapimkt0-dev: error when trying to install together]
Date: Mon, 15 Feb 2010 00:51:17 +0100
Hi,

On Sun, Feb 14, 2010 at 07:41:24PM +0100, Andreas Tille wrote:

> I would like to remember those people involved in the programs /
> packaging that I need some hint to find a reasonable solution.  Is there
> any chance that one of the authors might find a different name to
> prevent a name clash?  The (not so good) alternative would be to
> move the header files to a subdirectory of /usr/include.  So please
> raise your voice to this problem if you want to see your package in
> the next Debian release.

I'm unsure what would be the best solution here. CTAPI is highly
unlikely to change, so the approach taken by upstream authors to simply
ship a definition in-tree is not all that bad. The alternative would be
creating a package "ctapi-dev" that contains a single header file, and
using that.

   Simon




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Mon, 15 Feb 2010 07:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>. (Mon, 15 Feb 2010 07:21:03 GMT) Full text and rfc822 format available.

Message #35 received at 557495@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Simon Richter <Simon.Richter@hogyros.de>
Cc: Claudia Neumann <dr.claudia.neumann@gmx.de>, Karsten Hilbert <Karsten.Hilbert@gmx.net>, Eric Dorland <eric@debian.org>, 557495@bugs.debian.org
Subject: Re: Bug#557495: [treinen@free.fr: Bug#557495: libtowitoko-dev and libctapimkt0-dev: error when trying to install together]
Date: Mon, 15 Feb 2010 08:19:36 +0100
On Mon, Feb 15, 2010 at 12:51:17AM +0100, Simon Richter wrote:
> I'm unsure what would be the best solution here. CTAPI is highly
> unlikely to change, so the approach taken by upstream authors to simply
> ship a definition in-tree is not all that bad. The alternative would be
> creating a package "ctapi-dev" that contains a single header file, and
> using that.

I would strongly welcome this solution - but some upstream has to care
about this.

Kind regards

     Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Fri, 12 Mar 2010 00:45:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Fri, 12 Mar 2010 00:45:08 GMT) Full text and rfc822 format available.

Message #40 received at 557495@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: Claudia Neumann <dr.claudia.neumann@gmx.de>, Karsten Hilbert <Karsten.Hilbert@gmx.net>, Eric Dorland <eric@debian.org>, 557495@bugs.debian.org
Subject: Re: Bug#557495: [treinen@free.fr: Bug#557495: libtowitoko-dev and libctapimkt0-dev: error when trying to install together]
Date: Fri, 12 Mar 2010 01:38:24 +0100
[Message part 1 (text/plain, inline)]
Hi,

On Mon, Feb 15, 2010 at 08:19:36AM +0100, Andreas Tille wrote:

> I would strongly welcome this solution - but some upstream has to care
> about this.

Not really.

I've just uploaded "ctapi-dev" to Debian -- a copy of the package is
available at http://people.debian.org/~sjr/ -- which contains a very
conservative definition of the interface, and declares a Replaces: on
all versions of towitoko-dev and libctapimkt0-dev known to contain the
file.

The next towitoko upload will remove these files and use the common
definition (incidentally, I also found a bug in the towitoko package
this way, as the package uses "char" as the return type, which is
unsigned on PowerPC).

I expect this package to be maintenance-free, given that the standard
hasn't even been updated in the last 15 years.

   Simon
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Wed, 21 Apr 2010 08:45:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>. (Wed, 21 Apr 2010 08:45:09 GMT) Full text and rfc822 format available.

Message #45 received at 557495@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Simon Richter <sjr@debian.org>
Cc: Claudia Neumann <dr.claudia.neumann@gmx.de>, Karsten Hilbert <Karsten.Hilbert@gmx.net>, Eric Dorland <eric@debian.org>, 557495@bugs.debian.org
Subject: Re: Bug#557495: [treinen@free.fr: Bug#557495: libtowitoko-dev and libctapimkt0-dev: error when trying to install together]
Date: Wed, 21 Apr 2010 10:17:00 +0200
On Fri, Mar 12, 2010 at 01:38:24AM +0100, Simon Richter wrote:
> I've just uploaded "ctapi-dev" to Debian -- a copy of the package is

Hmmm, I can't find this package in Debian and neither do I at

  http://ftp-master.debian.org/new.html

Anything wrong with your upload?

Kind regards

     Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Wed, 21 Apr 2010 08:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <sjr@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>. (Wed, 21 Apr 2010 08:51:03 GMT) Full text and rfc822 format available.

Message #50 received at 557495@bugs.debian.org (full text, mbox):

From: Simon Richter <sjr@debian.org>
To: Andreas Tille <andreas@an3as.eu>
Cc: Claudia Neumann <dr.claudia.neumann@gmx.de>, Karsten Hilbert <Karsten.Hilbert@gmx.net>, Eric Dorland <eric@debian.org>, 557495@bugs.debian.org
Subject: Re: Bug#557495: [treinen@free.fr: Bug#557495: libtowitoko-dev and libctapimkt0-dev: error when trying to install together]
Date: Wed, 21 Apr 2010 10:28:03 +0200
Hi,

On Wed, Apr 21, 2010 at 10:17:00AM +0200, Andreas Tille wrote:

> > I've just uploaded "ctapi-dev" to Debian -- a copy of the package is

> Hmmm, I can't find this package in Debian and neither do I at

It was REJECTED; I was asked to reupload after explaining the situation,
but hadn't gotten around to it yet.

   Simon




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Wed, 21 Apr 2010 20:21:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <andreas@an3as.eu>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>. (Wed, 21 Apr 2010 20:21:03 GMT) Full text and rfc822 format available.

Message #55 received at 557495@bugs.debian.org (full text, mbox):

From: Andreas Tille <andreas@an3as.eu>
To: Simon Richter <sjr@debian.org>
Cc: Claudia Neumann <dr.claudia.neumann@gmx.de>, Karsten Hilbert <Karsten.Hilbert@gmx.net>, Eric Dorland <eric@debian.org>, 557495@bugs.debian.org
Subject: Re: Bug#557495: [treinen@free.fr: Bug#557495: libtowitoko-dev and libctapimkt0-dev: error when trying to install together]
Date: Wed, 21 Apr 2010 22:20:20 +0200
On Wed, Apr 21, 2010 at 10:28:03AM +0200, Simon Richter wrote:
> > Hmmm, I can't find this package in Debian and neither do I at
> 
> It was REJECTED; I was asked to reupload after explaining the situation,
> but hadn't gotten around to it yet.

It would be great if you would reupload soon.  I'd like to fix the bug
before the freeze.

Kind regards

     Andreas. 

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Fri, 07 May 2010 20:15:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>. (Fri, 07 May 2010 20:15:03 GMT) Full text and rfc822 format available.

Message #60 received at 557495@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Simon Richter <sjr@debian.org>
Cc: Claudia Neumann <dr.claudia.neumann@gmx.de>, Karsten Hilbert <Karsten.Hilbert@gmx.net>, Eric Dorland <eric@debian.org>, 557495@bugs.debian.org
Subject: Re: Bug#557495: [treinen@free.fr: Bug#557495: libtowitoko-dev and libctapimkt0-dev: error when trying to install together]
Date: Fri, 7 May 2010 21:34:59 +0200
On Wed, Apr 21, 2010 at 10:28:03AM +0200, Simon Richter wrote:
> It was REJECTED; I was asked to reupload after explaining the situation,
> but hadn't gotten around to it yet.

Thanks for the reupload.  Unfortunately I now learned that this version
of ctapi.h is completely different from the one in ctapi-mkt package[1].
Could you both (Simon, Claudia) please either find a way to settle with
a common interface.  I have no idea about chipcards but I would really
welcome if you might be able to sort this out together.

Kind regards

     Andreas.

[1] http://sourceforge.net/projects/ctapi-mkt
 

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Fri, 07 May 2010 23:21:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Simon Richter <Simon.Richter@hogyros.de>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>. (Fri, 07 May 2010 23:21:06 GMT) Full text and rfc822 format available.

Message #65 received at 557495@bugs.debian.org (full text, mbox):

From: Simon Richter <Simon.Richter@hogyros.de>
To: Andreas Tille <tille@debian.org>, 557495@bugs.debian.org
Cc: Claudia Neumann <dr.claudia.neumann@gmx.de>, Karsten Hilbert <Karsten.Hilbert@gmx.net>, Eric Dorland <eric@debian.org>
Subject: Re: Bug#557495: [treinen@free.fr: Bug#557495: libtowitoko-dev and libctapimkt0-dev: error when trying to install together]
Date: Sat, 8 May 2010 01:08:06 +0200
Hi,

On Fri, May 07, 2010 at 09:34:59PM +0200, Andreas Tille wrote:

> Thanks for the reupload.  Unfortunately I now learned that this version
> of ctapi.h is completely different from the one in ctapi-mkt package[1].

Not really. There are really just three function definitions, and a few
constants; I've made a file that follows the spec for the function
definitions ("unsigned char" instead of "char") and can be included from
C++ code inside a namespace.

   Simon




Added tag(s) pending. Request was from Andreas Tille <andreas@an3as.eu> to control@bugs.debian.org. (Sat, 10 Jul 2010 13:24:02 GMT) Full text and rfc822 format available.

Bug Marked as found in versions libtowitoko-dev/2.0.7-8.1. Request was from Ralf Treinen <treinen@debian.org> to control@bugs.debian.org. (Sun, 08 Aug 2010 16:12:10 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Fri, 03 Sep 2010 07:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Ralf Treinen <Ralf.Treinen@pps.jussieu.fr>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>. (Fri, 03 Sep 2010 07:30:03 GMT) Full text and rfc822 format available.

Message #74 received at 557495@bugs.debian.org (full text, mbox):

From: Ralf Treinen <Ralf.Treinen@pps.jussieu.fr>
To: Andreas Tille <andreas@an3as.eu>
Cc: 557495@bugs.debian.org
Subject: Bug #557495 pending?
Date: Fri, 3 Sep 2010 09:26:24 +0200
Dear Andreas,

you have marked bug #557495 as pending on July, 10. If that means that
the bug "belongs" to libctapimkt0-dev then please also reassign the
bug to that packages. Currently, the bug is still assigned to both
packages involved in the file conflict.

Beste Grüsse -Ralf.
-- 
Ralf Treinen
Laboratoire Preuves, Programmes et Systèmes
Université Paris Diderot, Paris, France.
http://www.pps.jussieu.fr/~treinen/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Sun, 14 Nov 2010 22:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Steve M. Robbins" <steve@sumost.ca>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>. (Sun, 14 Nov 2010 22:09:03 GMT) Full text and rfc822 format available.

Message #79 received at 557495@bugs.debian.org (full text, mbox):

From: "Steve M. Robbins" <steve@sumost.ca>
To: Andreas Tille <andreas@an3as.eu>
Cc: 557495@bugs.debian.org
Subject: Bug #557495 pending?
Date: Sun, 14 Nov 2010 16:06:30 -0600
[Message part 1 (text/plain, inline)]
Hello,

The freeze is quickly deepening and as Ralf Treinen noted, the bug has
been marked as pending; can that be uploaded to resolve this?

If not, I can prepare an NMU that just declares the undeclared package
conflict which will resolve the bug.  After the squeeze release, a
more sophisticated solution can be uploaded.

Cheers,
-Steve
[signature.asc (application/pgp-signature, inline)]

Removed tag(s) pending. Request was from Andreas Tille <andreas@an3as.eu> to control@bugs.debian.org. (Mon, 15 Nov 2010 07:06:02 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>:
Bug#557495; Package libctapimkt0-dev,libtowitoko-dev. (Tue, 07 Dec 2010 21:45:13 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>, Simon Richter <sjr@debian.org>. (Tue, 07 Dec 2010 21:45:13 GMT) Full text and rfc822 format available.

Message #86 received at 557495@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 557495@bugs.debian.org
Cc: 557495-submitter@bugs.debian.org
Subject: Force sub-directories for both
Date: Tue, 7 Dec 2010 21:44:17 +0000
[Message part 1 (text/plain, inline)]
clone 557495 -1
reassign 557495 towitoko
found 557495 2.0.7-8.1
reassign -1 libctapimkt
found -1 1.0.1-1
quit

As no other solution has actually been uploaded, I propose that the two
packages involved should both be changed to use sub-directories just
like the one other library containing the relevant file. Hence,
splitting this bug report into two to allow two uploads.

It's fairly trivial to adapt relevant code to use a subdirectory, with
surrounding #ifdef where appropriate.

As with other situations where there's no agreed solution for two
packages, I propose that both be changed:

-rw-r--r-- root/root      2022 2010-12-07 21:32 ./usr/include/towitoko/ctapi.h
-rw-r--r-- root/root      5347 2010-12-07 21:32 ./usr/include/towitoko/ctbcs.h

 changelog               |    8 ++++++++
 libtowitoko-dev.install |    2 +-
 2 files changed, 9 insertions(+), 1 deletion(-)

-rw-r--r-- root/root      2217 2008-04-03 21:55 ./usr/include/ctapimkt/ctapi.h
-rw-r--r-- root/root      1905 2010-12-07 21:38 ./usr/include/ctapimkt/config.h

 debian/libctapimkt0-dev.dirs       |    1 +
 libctapimkt-1.0.1/debian/changelog |    8 ++++++++
 libctapimkt-1.0.1/debian/rules     |    2 +-
 3 files changed, 10 insertions(+), 1 deletion(-)

I'll make the upload to delayed/2 tonight. (This bug has been hanging around without a resolution for long enough.)

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Message sent on to Ralf Treinen <treinen@free.fr>:
Bug#557495. (Tue, 07 Dec 2010 21:45:17 GMT) Full text and rfc822 format available.

Bug 557495 cloned as bug 606265. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 07 Dec 2010 22:03:02 GMT) Full text and rfc822 format available.

Bug reassigned from package 'libctapimkt0-dev,libtowitoko-dev' to 'towitoko'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 07 Dec 2010 22:03:04 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions libtowitoko-dev/2.0.7-8.1. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 07 Dec 2010 22:03:05 GMT) Full text and rfc822 format available.

Bug Marked as found in versions 2.0.7-8.1. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Tue, 07 Dec 2010 22:03:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Simon Richter <sjr@debian.org>:
Bug#557495; Package towitoko. (Tue, 07 Dec 2010 22:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Simon Richter <sjr@debian.org>. (Tue, 07 Dec 2010 22:51:06 GMT) Full text and rfc822 format available.

Message #102 received at 557495@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Neil Williams <codehelp@debian.org>, 557495@bugs.debian.org
Subject: Re: Bug#557495: Force sub-directories for both
Date: Tue, 7 Dec 2010 23:47:47 +0100
Hi Neil,

thanks for your effort in solving this.

On Tue, Dec 07, 2010 at 09:44:17PM +0000, Neil Williams wrote:
> As no other solution has actually been uploaded, I propose that the two
> packages involved should both be changed to use sub-directories just
> like the one other library containing the relevant file. Hence,
> splitting this bug report into two to allow two uploads.
> 
> It's fairly trivial to adapt relevant code to use a subdirectory, with
> surrounding #ifdef where appropriate.
> ...
> I'll make the upload to delayed/2 tonight. (This bug has been hanging around without a resolution for long enough.)

Probably you missed my remark when I deleted the pending tag [1].
While in principle no real harm is done by your solution it would have
been IMHO perfectly correct to not fix the bug until both projects
really issued a reasonable common header file which would be technically
the best solution.  The fact that there is now a workaround seems to
decrease the presure onto this clean solution.  I wonder whether you
simply was hunting for open bugs or whether you really need one of
those libraries.  If it would be libctapimkt I hope you did not missed
my hint that there are other issues which bring the package into a
state which makes it unfit for release.

Kind regards

      Andreas.

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?msg=81;bug=557495

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Simon Richter <sjr@debian.org>:
Bug#557495; Package towitoko. (Tue, 07 Dec 2010 23:15:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Simon Richter <sjr@debian.org>. (Tue, 07 Dec 2010 23:15:05 GMT) Full text and rfc822 format available.

Message #107 received at 557495@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Andreas Tille <tille@debian.org>
Cc: 557495@bugs.debian.org
Subject: Re: Bug#557495: Force sub-directories for both
Date: Tue, 7 Dec 2010 23:12:23 +0000
[Message part 1 (text/plain, inline)]
On Tue, 7 Dec 2010 23:47:47 +0100
Andreas Tille <tille@debian.org> wrote:

> Hi Neil,
> 
> thanks for your effort in solving this.
> 
> On Tue, Dec 07, 2010 at 09:44:17PM +0000, Neil Williams wrote:
> > As no other solution has actually been uploaded, I propose that the
> > two packages involved should both be changed to use sub-directories
> > just like the one other library containing the relevant file. Hence,
> > splitting this bug report into two to allow two uploads.
> > 
> > It's fairly trivial to adapt relevant code to use a subdirectory,
> > with surrounding #ifdef where appropriate.
> > ...
> > I'll make the upload to delayed/2 tonight. (This bug has been
> > hanging around without a resolution for long enough.)
> 
> Probably you missed my remark when I deleted the pending tag [1].

No, I saw that. The two files *are* different, albeit still similar,
hence every reason to have *both* files in different locations. There
isn't necessarily a need for a common interface within the packages -
just as long as any code including these headers can uniquely identify
the *right* header consistently and reproducibly.

> While in principle no real harm is done by your solution it would have
> been IMHO perfectly correct to not fix the bug until both projects
> really issued a reasonable common header file which would be
> technically the best solution. 

Really? If the files are different but can be used in similar ways that
argues for separation, not integration IMHO.

> The fact that there is now a
> workaround seems to decrease the presure onto this clean solution.

I'm not at all sure why the solution has to be in one or other library
as if code including the header (none of which is in Debian currently)
cannot be trivially modified with an #ifdef or two.

>  I
> wonder whether you simply was hunting for open bugs or whether you
> really need one of those libraries.  If it would be libctapimkt I
> hope you did not missed my hint that there are other issues which
> bring the package into a state which makes it unfit for release.

It was just a hint, no detail, no proof or way for others to test.

This bug isn't enough to prevent either package being in Squeeze - if
there are other issues, please file appropriate bugs and give people a
chance to verify and possibly fix.

If you believe this to be the case, please file the appropriate RM bug
with the reasoning.

-- 


Neil Williams
=============
http://www.linux.codehelp.co.uk/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Simon Richter <sjr@debian.org>:
Bug#557495; Package towitoko. (Wed, 08 Dec 2010 07:51:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Simon Richter <sjr@debian.org>. (Wed, 08 Dec 2010 07:51:03 GMT) Full text and rfc822 format available.

Message #112 received at 557495@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Neil Williams <codehelp@debian.org>
Cc: 557495@bugs.debian.org, 606265@bugs.debian.org
Subject: Re: Bug#557495: Force sub-directories for both
Date: Wed, 8 Dec 2010 08:46:40 +0100
On Tue, Dec 07, 2010 at 11:12:23PM +0000, Neil Williams wrote:
> > The fact that there is now a
> > workaround seems to decrease the presure onto this clean solution.
> 
> I'm not at all sure why the solution has to be in one or other library
> as if code including the header (none of which is in Debian currently)
> cannot be trivially modified with an #ifdef or two.

Both libraries are interfacing with a Card Terminal (CT) and we have a
package in Debian which intends to provide this API (ctapi-dev).  This
package was created to fix the bug in question you simply worked around
now.  We just have another package libopenct1-dev which provides another
ctapi.h file and which probably has the same purpose to provide a CT
interface.  The package *I* have dealt with (libctapimkt0-dev) has such
a low priority that I would rather remove it from Debian than allowing
to add even more confusion and I agreed with upstream to find a better
solution than providing its own interface.  Upstream agreed, to this in
principle but there were other issues which were not (yet) solved and
thus I removed the pending tag because it is not clear how long it might
take.

Consequently libctapimkt0-dev was removed from testing (since a long
time) and this is correct for this package.  An apropriate thing to do
would have been to reassign bug #557495 only against libctapimkt0-dev
which would enable libtowitoko-dev to stay in testing (because there
is no chance to install both packages together in testing any more).
 
> It was just a hint, no detail, no proof or way for others to test.
> 
> This bug isn't enough to prevent either package being in Squeeze -

The package libctapimkt0-dev is *not* in Squeeze!

> if
> there are other issues, please file appropriate bugs and give people a
> chance to verify and possibly fix.
> 
> If you believe this to be the case, please file the appropriate RM bug
> with the reasoning.

I have not expected that people will spend their time on fixing bugs in
packages which are not in Squeeze.  You could have saved your time if
you would have pinged me about your intend.  You have spended time to
clean up a package with very low popcon which is not intended for
Squeeze.  This is brave and I welcome your work but at least for me
there are currently more burning issues to do.  If you want me to
discuss the issue further instead of trusting me that I'm in contact
with upstream and will handle things with upstream *after* the Squeeze
release I prefer removing the package for now and adding it later again.
This would keep ftpmaster busy for two times which I also feel
unapropriate.
 
Kind regards and thanks for your work in any case

       Andreas.

-- 
http://fam-tille.de




Information forwarded to debian-bugs-dist@lists.debian.org, Simon Richter <sjr@debian.org>:
Bug#557495; Package towitoko. (Wed, 08 Dec 2010 09:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Simon Richter <sjr@debian.org>. (Wed, 08 Dec 2010 09:09:10 GMT) Full text and rfc822 format available.

Message #117 received at 557495@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Andreas Tille <tille@debian.org>
Cc: 557495@bugs.debian.org, 606265@bugs.debian.org
Subject: Re: Bug#557495: Force sub-directories for both
Date: Wed, 8 Dec 2010 09:08:02 +0000
[Message part 1 (text/plain, inline)]
On Wed, 8 Dec 2010 08:46:40 +0100
Andreas Tille <tille@debian.org> wrote:

> Consequently libctapimkt0-dev was removed from testing (since a long
> time) and this is correct for this package. 

A wishlist for a common interface doesn't seem to me to be sufficient
to stop the library getting into Squeeze - it is usable alone.

> An apropriate thing to do
> would have been to reassign bug #557495 only against libctapimkt0-dev
> which would enable libtowitoko-dev to stay in testing (because there
> is no chance to install both packages together in testing any more).

Any reason why this had not already been done? It is possible to
install both in unstable and that problem alone isn't sufficient, IMHO,
to prevent both going into Squeeze.

> > It was just a hint, no detail, no proof or way for others to test.
> > 
> > This bug isn't enough to prevent either package being in Squeeze -
> 
> The package libctapimkt0-dev is *not* in Squeeze!

Feel free to cancel the delayed upload. However, from your description I
still don't see why it should not be in Squeeze.
 
> I have not expected that people will spend their time on fixing bugs in
> packages which are not in Squeeze. 

The bug was filed against both packages without resolution. I could
have just fixed one side of it but as the fix was trivial fro both, it
seemed to make sense to do it for both. 

> You could have saved your time if
> you would have pinged me about your intend. 

Equally if the bug report had been cloned / commented / updated with
more than the content I've been able to see so far, I would have just
done one side of it.

At this stage of the freeze, RC bug reports which have been open as
long as this one are worth fixing. It seems such a trivial reason to
have to remove the package from Squeeze.

> You have spended time to
> clean up a package with very low popcon which is not intended for
> Squeeze. 

Actually, I've spent more time discussing the lack of content in the
replies to the original bug report than in preparing the upload.

> This is brave and I welcome your work but at least for me
> there are currently more burning issues to do.  If you want me to
> discuss the issue further instead of trusting me that I'm in contact
> with upstream and will handle things with upstream *after* the Squeeze
> release I prefer removing the package for now and adding it later again.

OK - it's in delayed, so feel free to cancel it.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Simon Richter <sjr@debian.org>:
Bug#557495; Package towitoko. (Wed, 08 Dec 2010 09:27:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andreas Tille <tille@debian.org>:
Extra info received and forwarded to list. Copy sent to Simon Richter <sjr@debian.org>. (Wed, 08 Dec 2010 09:27:06 GMT) Full text and rfc822 format available.

Message #122 received at 557495@bugs.debian.org (full text, mbox):

From: Andreas Tille <tille@debian.org>
To: Neil Williams <codehelp@debian.org>
Cc: 557495@bugs.debian.org, 606265@bugs.debian.org
Subject: Re: Bug#557495: Force sub-directories for both
Date: Wed, 8 Dec 2010 10:25:43 +0100
On Wed, Dec 08, 2010 at 09:08:02AM +0000, Neil Williams wrote:
> Feel free to cancel the delayed upload.

I do not see a reason to make your work on this really wasted.

> However, from your description I
> still don't see why it should not be in Squeeze.

Because it is not in Squeeze any more and we are in deep freeze.

> > I have not expected that people will spend their time on fixing bugs in
> > packages which are not in Squeeze. 
> 
> The bug was filed against both packages without resolution. I could
> have just fixed one side of it but as the fix was trivial fro both, it
> seemed to make sense to do it for both. 

Originally I agreed with Simon Richter that both packages will use
ctapi-dev.  I had only ctapimkt in mind and communication with upstream
was slow.  I'm sorry for beeing not more verbose in the bug log.
 
> > You could have saved your time if
> > you would have pinged me about your intend. 
> 
> Equally if the bug report had been cloned / commented / updated with
> more than the content I've been able to see so far, I would have just
> done one side of it.

I'm sorry for this and confirm that the issue was not apropriately
handled by me.  The fact that the package has currently quite low
priority is no real excuse.
 
> Actually, I've spent more time discussing the lack of content in the
> replies to the original bug report than in preparing the upload.

So please lets stop wasting more time and leave it as it is for
the moment.
 
> OK - it's in delayed, so feel free to cancel it.

Thanks for your work

       Andreas.


-- 
http://fam-tille.de




Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Thu, 09 Dec 2010 22:21:05 GMT) Full text and rfc822 format available.

Notification sent to Ralf Treinen <treinen@free.fr>:
Bug acknowledged by developer. (Thu, 09 Dec 2010 22:21:05 GMT) Full text and rfc822 format available.

Message #127 received at 557495-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 557495-close@bugs.debian.org
Subject: Bug#557495: fixed in towitoko 2.0.7-8.2
Date: Thu, 09 Dec 2010 22:17:48 +0000
Source: towitoko
Source-Version: 2.0.7-8.2

We believe that the bug you reported is fixed in the latest version of
towitoko, which is due to be installed in the Debian FTP archive:

libtowitoko-dev_2.0.7-8.2_amd64.deb
  to main/t/towitoko/libtowitoko-dev_2.0.7-8.2_amd64.deb
libtowitoko2_2.0.7-8.2_amd64.deb
  to main/t/towitoko/libtowitoko2_2.0.7-8.2_amd64.deb
towitoko_2.0.7-8.2.diff.gz
  to main/t/towitoko/towitoko_2.0.7-8.2.diff.gz
towitoko_2.0.7-8.2.dsc
  to main/t/towitoko/towitoko_2.0.7-8.2.dsc



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 557495@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated towitoko package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 07 Dec 2010 21:29:39 +0000
Source: towitoko
Binary: libtowitoko-dev libtowitoko2
Architecture: source amd64
Version: 2.0.7-8.2
Distribution: unstable
Urgency: low
Maintainer: Simon Richter <sjr@debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 libtowitoko-dev - Towitoko smartcard reader CT-API development files
 libtowitoko2 - Towitoko smartcard reader PCSC and CT-API driver
Closes: 557495
Changes: 
 towitoko (2.0.7-8.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Move libtowitoko-dev headers to sub-directory (Closes:
     #557495)
Checksums-Sha1: 
 0786e139976aaf0681c42d7343ae4f5fcd41a422 997 towitoko_2.0.7-8.2.dsc
 38afca97f4ed7a25725bf96d6b44bb592580c9a0 363494 towitoko_2.0.7-8.2.diff.gz
 a0810188dfed453cef795880cf3564a5fbba7232 70264 libtowitoko-dev_2.0.7-8.2_amd64.deb
 8bf49b0749aaae335ad03bda0c63bcabc08f07cd 48490 libtowitoko2_2.0.7-8.2_amd64.deb
Checksums-Sha256: 
 a06d1a7f883533585cbc04593cb5ada236c7c8c73d5cbd26bc33a61d96b87fdf 997 towitoko_2.0.7-8.2.dsc
 c998f786f932af6fc4a564ed5510442748ca830f8f0143624a9708f145295602 363494 towitoko_2.0.7-8.2.diff.gz
 54cf88b4354cca9fa28886ac0b8789607ecc500de516c0ca8dd981f3ac47da41 70264 libtowitoko-dev_2.0.7-8.2_amd64.deb
 2c52e14372039edfe66e05557dede964e1ad6bcdaf58bb5faba96ed1c1efaa8d 48490 libtowitoko2_2.0.7-8.2_amd64.deb
Files: 
 8c284ab3c59bb9b99329253ea9f8c178 997 misc extra towitoko_2.0.7-8.2.dsc
 15493e8ca24c49dcb10fba3f21be00d2 363494 misc extra towitoko_2.0.7-8.2.diff.gz
 8d0f9f785d8b1fe082fcc1b235caa955 70264 libdevel extra libtowitoko-dev_2.0.7-8.2_amd64.deb
 ba40583ef6c3b7dab777cc85b69c7118 48490 libs extra libtowitoko2_2.0.7-8.2_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkz+rasACgkQiAEJSii8s+NZSwCguPGKjI4LvoRvzMh5fwk0CCHf
pbEAoOMTEzO17yEtr3FjY/GyQYl3PUYX
=9Vwe
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 07 Jan 2011 07:38:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:43:34 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.